---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp04t001.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x14E0, symBinAddr: 0x2A40, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x52570, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3B40, symSize: 0x270 }
  - { offsetInCU: 0xB10, offset: 0xB10, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52950, symBinAddr: 0xC380, symSize: 0x0 }
  - { offsetInCU: 0xB37, offset: 0xB37, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54890, symBinAddr: 0xE2C0, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54C80, symBinAddr: 0xE6B0, symSize: 0x0 }
  - { offsetInCU: 0xB7B, offset: 0xB7B, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55C20, symBinAddr: 0xF650, symSize: 0x0 }
  - { offsetInCU: 0xB90, offset: 0xB90, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55C30, symBinAddr: 0xF660, symSize: 0x0 }
  - { offsetInCU: 0xC0B, offset: 0xC0B, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52560, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC16, offset: 0xC16, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52564, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC21, offset: 0xC21, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52568, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC66, offset: 0xC66, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x526C0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52778, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0xCFD, offset: 0xCFD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5277C, symBinAddr: 0xC29C, symSize: 0x0 }
  - { offsetInCU: 0xD16, offset: 0xD16, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52780, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0xD2F, offset: 0xD2F, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52784, symBinAddr: 0xC2A4, symSize: 0x0 }
  - { offsetInCU: 0xD48, offset: 0xD48, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52788, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x9337, offset: 0x9337, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52790, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x93C0, offset: 0x93C0, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x527A0, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x93D9, offset: 0x93D9, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x527A8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x93F2, offset: 0x93F2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x527B0, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x527B8, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x9424, offset: 0x9424, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x527C0, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x943E, offset: 0x943E, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x527C8, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x9525, offset: 0x9525, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x5280C, symBinAddr: 0xC2FC, symSize: 0x0 }
  - { offsetInCU: 0x953F, offset: 0x953F, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x52810, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9558, offset: 0x9558, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52818, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9571, offset: 0x9571, size: 0x8, addend: 0x0, symName: __ZL12threadsCount, symObjAddr: 0x52820, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x958A, offset: 0x958A, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52828, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x95A3, offset: 0x95A3, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x52868, symBinAddr: 0xC328, symSize: 0x0 }
  - { offsetInCU: 0x95BC, offset: 0x95BC, size: 0x8, addend: 0x0, symName: __ZL13threadsCounts, symObjAddr: 0x52870, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x95E1, offset: 0x95E1, size: 0x8, addend: 0x0, symName: __ZL11threadsList, symObjAddr: 0x52890, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0x9606, offset: 0x9606, size: 0x8, addend: 0x0, symName: __ZL11threadsName, symObjAddr: 0xED10, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x23E0, symSize: 0x80 }
  - { offsetInCU: 0x9723, offset: 0x9723, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2330, symSize: 0xB0 }
  - { offsetInCU: 0x977E, offset: 0x977E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2230, symSize: 0x100 }
  - { offsetInCU: 0x9A11, offset: 0x9A11, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2460, symSize: 0xC0 }
  - { offsetInCU: 0x9A63, offset: 0x9A63, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2520, symSize: 0x220 }
  - { offsetInCU: 0x9C48, offset: 0x9C48, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2740, symSize: 0xA0 }
  - { offsetInCU: 0x9CFB, offset: 0x9CFB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x27E0, symSize: 0x110 }
  - { offsetInCU: 0x9DF1, offset: 0x9DF1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x28F0, symSize: 0x150 }
  - { offsetInCU: 0x9F4E, offset: 0x9F4E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2D60, symSize: 0x30 }
  - { offsetInCU: 0xA07B, offset: 0xA07B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2D90, symSize: 0x150 }
  - { offsetInCU: 0xA273, offset: 0xA273, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2EE0, symSize: 0x160 }
  - { offsetInCU: 0xA533, offset: 0xA533, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3040, symSize: 0x4A0 }
  - { offsetInCU: 0xA7CC, offset: 0xA7CC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x34E0, symSize: 0xE0 }
  - { offsetInCU: 0xA88C, offset: 0xA88C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x35C0, symSize: 0x1B0 }
  - { offsetInCU: 0xAAA7, offset: 0xAAA7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3770, symSize: 0xA0 }
  - { offsetInCU: 0xABA2, offset: 0xABA2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3810, symSize: 0x20 }
  - { offsetInCU: 0xABD9, offset: 0xABD9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3830, symSize: 0x20 }
  - { offsetInCU: 0xAC10, offset: 0xAC10, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3850, symSize: 0x20 }
  - { offsetInCU: 0xADBF, offset: 0xADBF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3870, symSize: 0x1A0 }
  - { offsetInCU: 0xB0DB, offset: 0xB0DB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3A10, symSize: 0x130 }
  - { offsetInCU: 0xB28B, offset: 0xB28B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x3DB0, symSize: 0x1B0 }
  - { offsetInCU: 0xB57A, offset: 0xB57A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3F60, symSize: 0x80 }
  - { offsetInCU: 0xB643, offset: 0xB643, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3FE0, symSize: 0x6A0 }
  - { offsetInCU: 0xC1D8, offset: 0xC1D8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA900, symBinAddr: 0x5A70, symSize: 0xB0 }
  - { offsetInCU: 0xC24F, offset: 0xC24F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4680, symSize: 0x70 }
  - { offsetInCU: 0xC30B, offset: 0xC30B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x46F0, symSize: 0xA0 }
  - { offsetInCU: 0xC3EA, offset: 0xC3EA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4790, symSize: 0x40 }
  - { offsetInCU: 0xC4E0, offset: 0xC4E0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x47D0, symSize: 0x2B0 }
  - { offsetInCU: 0xC886, offset: 0xC886, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4A80, symSize: 0xC0 }
  - { offsetInCU: 0xC9CC, offset: 0xC9CC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4B40, symSize: 0x10 }
  - { offsetInCU: 0xCA8E, offset: 0xCA8E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4B50, symSize: 0x220 }
  - { offsetInCU: 0xCD8B, offset: 0xCD8B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4D70, symSize: 0x10 }
  - { offsetInCU: 0xCDE8, offset: 0xCDE8, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4D80, symSize: 0x260 }
  - { offsetInCU: 0xD0AF, offset: 0xD0AF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E70, symBinAddr: 0x4FE0, symSize: 0x10 }
  - { offsetInCU: 0xD10C, offset: 0xD10C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP04_sp04t001ThreadRunningNative_nativeMethod, symObjAddr: 0x9E80, symBinAddr: 0x4FF0, symSize: 0x60 }
  - { offsetInCU: 0xD17C, offset: 0xD17C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP04_sp04t001ThreadRunningNative_checkReady, symObjAddr: 0x9EE0, symBinAddr: 0x5050, symSize: 0x40 }
  - { offsetInCU: 0xD208, offset: 0xD208, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP04_sp04t001ThreadRunningNative_letFinish, symObjAddr: 0x9F20, symBinAddr: 0x5090, symSize: 0x10 }
  - { offsetInCU: 0xD2C8, offset: 0xD2C8, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F30, symBinAddr: 0x50A0, symSize: 0x9D0 }
  - { offsetInCU: 0xD999, offset: 0xD999, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsiPKcl, symObjAddr: 0xAD20, symBinAddr: 0x5E90, symSize: 0x1F0 }
  - { offsetInCU: 0xDB62, offset: 0xDB62, size: 0x8, addend: 0x0, symName: __ZL26suspendThreadsIndividuallyi, symObjAddr: 0xAF10, symBinAddr: 0x6080, symSize: 0x196 }
  - { offsetInCU: 0xDCC7, offset: 0xDCC7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA9B0, symBinAddr: 0x5B20, symSize: 0x370 }
...
